<?php

namespace Drupal\consultancy_services\Available;



/**
 * Interface AvailableInterface.
 */
interface AvailableDateInterface {

  /**
   * @param array $configuration
   *     - User who is requesting the date query
   *     - Consultancy entity date type to be queried
   *     - Receives dates that are being queried
   *
   * @example $configuration = [
   *   'user'=> '',
   *   'type' => '',
   *   'start_date'=> '',
   *   'end_date' => ''
   * ];
   *
   *
   *
   * @return array
   *
   * @example $configuration = [
   *   'result'=> '', // true or false
   *   'message' => '', // message
   * ];
   *
   */
  public function getDateAvailability(Array $configuration);
}
